/* crypt_base64.h - NextIRCd
 * Copyright (C) 2012-2013  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef _crypt_base64_h
#define _crypt_base64_h
#include <stdlib.h>

void crypt_base64_init();
void crypt_base64_deinit();

char *crypt_base64_encode(const unsigned char *data, size_t input_length, size_t *output_length);
unsigned char *crypt_base64_decode(const char *data, size_t input_length, size_t *output_length);

#endif
