/* ircd_parse.h - NextIRCd
 * Copyright (C) 2012-2013  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef _ircd_parse_h
#define _ircd_parse_h

struct Client;
struct Auth;
struct Server;
struct IOSocketBuffer;

/* -- called from ircd_client.c */
void parse_client_data(struct Client *client, char *data);
void parse_unauth_data(struct Auth *auth, char *data);
void parse_server_data(struct Server *server, struct IOSocketBuffer *buffer);
/* -- */


#endif
