/* main.c - NextIRCd
 * Copyright (C) 2012-2013  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "ircd_config.h"
#include "ircd_sock.h"
#include "IOHandler/IOHandler.h"
#include "IOHandler/IOLog.h"

#include <stdlib.h>
#include <stdio.h>

static IOLOG_CALLBACK(io_log);

int main(int argc, char *argv[]) {
    iohandler_init();
    iolog_register_callback(io_log);
    
    
	init_config(NULL);
	init_sockets();
	
    iohandler_run();
	return 0;
}

static IOLOG_CALLBACK(io_log) {
	printf("%s", message);
}
